Bug 101463 - insert HyperLink fails for selections longer than 255 chars
Summary: insert HyperLink fails for selections longer than 255 chars
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Hyperlink-Dialog
  Show dependency treegraph
 
Reported: 2016-08-12 11:25 UTC by Björn Michaelsen
Modified: 2020-09-07 03:52 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Michaelsen 2016-08-12 11:25:05 UTC
Steps to reproduce:
1/ create new writer document
2/ type dt<F3> to create a long dead text
3/ select the whole paragraph
4/ use "insert Hyperlink" toolbar button
5/ type "example.com" in the URL field and close the dialog by pressing "OK"

Expected behaviour:
The paragraph becomes a link to example.com, the content of the paragraph stays unchanged.

Actual behaviour:
The paragraph becomes a link to example.com, the content of the paragraph is shortened to 255 chars.

IMHO the "Further Settings"->"Text" field in the dialog should be removed from the dialog, and the "Ok"/"Apply" buttons should just use the selection instead of replacing the content. If done so, the "Insert Hyperlink" button/menu entry needs to be disable if there is no selection in the document.

Note this would kill the old-style modal-only workflow of:
- click "insert Hyperlink" without a selection
- fill the text in the dialog
- click "Ok" and have _new_ content added as link

I think the "select content in document, then use the dialog to linkify" workflow is a superior replacement anyway. Still, would like UX input on this => needUXeval
Comment 1 Heiko Tietze 2017-01-02 14:52:02 UTC
The bug results from automatically adding selected text. If you manually enter the dummy text into the 'text' field under 'further settings' you get the whole paragraph underlined (-> WFM). 

Discussions of URL limits like in http://stackoverflow.com/questions/417142/what-is-the-maximum-length-of-a-url-in-different-browsers or http://stackoverflow.com/questions/29458445/what-is-a-safe-maximum-length-a-segment-in-a-url-path-should-be point to a de facto limit of 2000 characters - but that's only relevant for the URI part. All between <a href=[URI]>any text</a> is free.

The second and more UX-related aspect of this ticket about redesigning the (hyper-)link dialog should be discussed separately. If we remove the additional features we loose much of the html editing capabilities (not that bad, IMHO).

Removing UX since it's an ordinary bug and setting to NEW.
Comment 2 QA Administrators 2018-09-07 02:44:12 UTC Comment hidden (obsolete)
Comment 3 QA Administrators 2020-09-07 03:52:43 UTC
Dear Björn Michaelsen,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug